org.eclipse.microprofile.fault.tolerance.tck.metrics

## Class RetryMetricTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.fault.tolerance.tck.metrics.RetryMetricTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class RetryMetricTest
    extends org.jboss.arquillian.testng.Arquillian

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`RetryMetricTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deploy()`
`void` `testRetryMetricMaxDuration()`
`void` `testRetryMetricMaxDurationNoRetries()`
`void` `testRetryMetricMaxRetries()`
`void` `testRetryMetricMaxRetriesHitButNoRetry()`
`void` `testRetryMetricNonRetryableAfterRetries()`
`void` `testRetryMetricNonRetryableImmediately()`
`void` `testRetryMetricSuccessfulAfterRetry()`
`void` `testRetryMetricSuccessfulImmediately()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetryMetricTest

    public RetryMetricTest()

### Method Detail

#### deploy

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

#### testRetryMetricSuccessfulImmediately

    public void testRetryMetricSuccessfulImmediately()

#### testRetryMetricSuccessfulAfterRetry

    public void testRetryMetricSuccessfulAfterRetry()

#### testRetryMetricNonRetryableImmediately

    public void testRetryMetricNonRetryableImmediately()

#### testRetryMetricNonRetryableAfterRetries

    public void testRetryMetricNonRetryableAfterRetries()

#### testRetryMetricMaxRetries

    public void testRetryMetricMaxRetries()

#### testRetryMetricMaxRetriesHitButNoRetry

    public void testRetryMetricMaxRetriesHitButNoRetry()

#### testRetryMetricMaxDuration

    public void testRetryMetricMaxDuration()

#### testRetryMetricMaxDurationNoRetries

    public void testRetryMetricMaxDurationNoRetries()